GET /api/v3/savings/meter/{meterId}/bill/{billId}

Get a single Savings Details record of usage and cost avoidance for a meter and bill

GetSavingsMeterBillV3 Permissions: Meters (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
meterId The meter for which to retrieve data integer (int32) Required
billId The bill for which to retrieve data integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

SavingsMeterBillResponse
Property Description Type
account AccountChild
AccountChild properties
Property Description Type
accountCode string
accountId integer (int32)
accountInfo string
active boolean
hasCalculatedMeter boolean
hasSplitChildMeter boolean
hasSplitParentMeter boolean
hasSubAccount boolean
isSubAccount boolean
vendor VendorChild
VendorChild properties
Property Description Type
vendorCode The vendor code string
vendorId The vendor identifier integer (int32)
vendorInfo The vendor info string
actualCost Actual Cost number (double)
actualNativeUse Actual Native Use number (double)
baselineCost Baseline Cost number (double)
baselineNativeUse Baseline Native Use number (double)
baselineNonweatherNativeUse Baseline Nonweather Native Use number (double)
baselineWeatherNativeUse Baseline Weather Native Use number (double)
batccCost Baseline Adjusted to Current Conditions (BATCC) Cost number (double)
batccNativeUse Baseline Adjusted to Current Conditions (BATCC) Native Use number (double)
batccNonweatherNativeUse Baseline Adjusted to Current Conditions (BATCC) Nonweather Native Use number (double)
batccWeatherNativeUse Baseline Adjusted to Current Conditions (BATCC) Weather Native Use number (double)
billId Unique ID of the bill processed for this savings record integer (int32)
billMtrCapId Unique ID for this savings record (Bill Meter CAP) integer (int32)
billMtrNotes string[]
calendarPeriod Calendar Period Number (e.g. 4) integer (int32)
calendarYear Calendar Year (e.g. 2019) integer (int32)
capStatus Cost Avoidance Status string
cdd Cooling Degree Days integer (int32)
cddAdjusted Cooling Degree Days Adjusted boolean
coolR2 Cooling R2 number (double)
coolingUsePerDegreeDay Cooling Use Per Degree Day number (double)
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
fiscalPeriod Fiscal Period Number integer (int32)
fiscalYear Fiscal Year integer (int32)
hdd Heating Degree Days integer (int32)
hddAdjusted Heating Degree Days Adjusted boolean
heatR2 Heating R2 number (double)
heatingUsePerDegreeDay Heating Use Per Degree Day number (double)
locked Indicates whether or not the bill’s cost avoidance data is locked boolean
meter MeterChild
MeterChild properties
Property Description Type
active Indicates whether the Meter is Active boolean
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
isCalculatedMeter Indicates whether the meter is a calculated meter boolean
isEsaCalculatedMeter Indicates whether the meter is an ESA calculated meter boolean
isSplitChildMeter Indicates whether the meter is a child of a split boolean
isSplitParentMeter Indicates whether the meter is a parent of a split boolean
meterCode The meter code string
meterId The meter identifier integer (int32)
meterInfo The meter info string
meterType MeterTypeChild
MeterTypeChild properties
Property Description Type
meterTypeCode string
meterTypeId integer (int32)
meterTypeInfo string
serialNumber The meter’s current serial number string
nativeUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
periodName Calendar Period Name (e.g. Jan) string
place PlaceChild
PlaceChild properties
Property Description Type
isDataRolledUp Tells whether or not the place’s data is rolled up to its parents. boolean
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place info string
placeType PlaceTypeResponse
PlaceTypeResponse properties
Property Description Type
icon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
isSystemPlaceType Flag to indicate if the place type is a system-level place type boolean
placeEntityType PlaceEntityTypeV202406
PlaceEntityTypeV202406 properties
Property Description Type
placeEntityTypeId The place entity type identifier integer (int32)
placeEntityTypeInfo The place entity type name string
placeTypeCode The place type code string
placeTypeId The place type identifier integer (int32)
placeTypeInfo The place type info string
structure Indicates if the place is a structure boolean
review Reviewed
Reviewed properties
Property Description Type
reviewed Indicates whether or not the savings has been reviewed boolean
reviewedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
reviewedDate Reviewed date string (date-time)
savingsCost Savings Cost number (double)
savingsCostPercent Savings Cost Percent number (double)
savingsNativeUse Savings Native Use number (double)
savingsNativeUsePercent Savings Native Use Percent number (double)
Example Response application/json
{  "account": {    "accountCode": "string",    "accountId": 1,    "accountInfo": "string",    "active": false,    "hasCalculatedMeter": false,    "hasSplitChildMeter": false,    "hasSplitParentMeter": false,    "hasSubAccount": false,    "isSubAccount": false,    "vendor": {      "vendorCode": "string",      "vendorId": 1,      "vendorInfo": "string"
    }
  },  "actualCost": 1.0,  "actualNativeUse": 1.0,  "baselineCost": 1.0,  "baselineNativeUse": 1.0,  "baselineNonweatherNativeUse": 1.0,  "baselineWeatherNativeUse": 1.0,  "batccCost": 1.0,  "batccNativeUse": 1.0,  "batccNonweatherNativeUse": 1.0,  "batccWeatherNativeUse": 1.0,  "billId": 1,  "billMtrCapId": 1,  "billMtrNotes": [
    "string"
  ],  "calendarPeriod": 1,  "calendarYear": 1,  "capStatus": "string",  "cdd": 1,  "cddAdjusted": false,  "coolR2": 1.0,  "coolingUsePerDegreeDay": 1.0,  "costUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "fiscalPeriod": 1,  "fiscalYear": 1,  "hdd": 1,  "hddAdjusted": false,  "heatR2": 1.0,  "heatingUsePerDegreeDay": 1.0,  "locked": false,  "meter": {    "active": false,    "commodity": {      "commodityCode": "string",      "commodityIcon": {},      "commodityId": 1,      "commodityInfo": "string"
    },    "isCalculatedMeter": false,    "isEsaCalculatedMeter": false,    "isSplitChildMeter": false,    "isSplitParentMeter": false,    "meterCode": "string",    "meterId": 1,    "meterInfo": "string",    "meterType": {      "meterTypeCode": "string",      "meterTypeId": 1,      "meterTypeInfo": "string"
    },    "serialNumber": "string"
  },  "nativeUseUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "periodName": "string",  "place": {    "isDataRolledUp": false,    "placeCode": "string",    "placeId": 1,    "placeInfo": "string",    "placeType": {      "icon": {},      "isSystemPlaceType": false,      "placeEntityType": {},      "placeTypeCode": "string",      "placeTypeId": 1,      "placeTypeInfo": "string",      "structure": false
    }
  },  "review": {    "reviewed": false,    "reviewedBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "reviewedDate": "2026-03-30"
  },  "savingsCost": 1.0,  "savingsCostPercent": 1.0,  "savingsNativeUse": 1.0,  "savingsNativeUsePercent": 1.0
}